%def_disable final

Name: amarok
Version: 1.4.10
Release: alt0.M41.1

Summary: Amarok is a music player for KDE.
License: GPL
Group: Sound
Url: http://amarok.kde.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

%py_provides Publisher
Requires: kdelibs >= %{get_version kdelibs}
Requires: %name-engine

# ftp://ftp.kde.org/pub/kde/stable/amarok/%version/src/%name-%version.tar.bz2
Source0: %name-%version.tar

Patch1: amarok-1.4.4-alt-ruby.patch
Patch2: amarok-1.4.6-alt-playlist.patch
Patch3: amarok-1.4.9.1-alt-link.patch
Patch4: amarok-1.4.10-alt-ru_translation.patch
Patch5: amarok-1.4.7-alt-ru_desktop_translation.patch
Patch6: amarok-1.4.5-alt11553-collectionscanner.patch
Patch7: amarok-1.4.7-alt-player-icons.patch
Patch10: amarok-1.4.8-alt-libgpod_042.patch

# Automatically added by buildreq on Wed Apr 30 2008
BuildRequires: doxygen gcc-c++ gstreamer-devel kdebase-devel libMySQL-devel libSDL-devel libavahi-devel libgpod-devel libjpeg-devel libmesa-devel libmpeg4ip-devel libmtp-devel libruby-devel libtag-devel libtunepimp-devel libvisual0.4-devel libxine-devel postgresql-devel qt3-designer ruby xml-utils xorg-cf-files

%description
amaroK is an advanced audio player.
Excellent streaming support, audio effects, visualisations and smooth 
crossfading separate this player from existing KDE solutions. 
At the same time amaroK provides a very intuitive and quick user interface, 
with unparalleled playlist handling, optimized for very large playlists.
The built-in StreamBrowser makes finding web streams as easy as using a radio: 
you can pick your favorite program right inside of amaroK.

%description -l ru_RU.UTF-8
amaroK - передовой аудио плеер. Превосходная поддержка потокового воспроизведения, 
звуковые эффекты, визуализации. В то же самое время amaroK обеспечивает очень интуитивный
и быстрый пользовательский интерфейс. Плейлист оптимизирован для очень больших плейлистов.
Встроенный StreamBrowser делает обнаружение потоков в сети столь же легкими как и использование
радио: Вы можете выбрать и настроить их прямо в amaroK.

%package engine-xine
Summary: Xine engine for amaroK player
Group: Sound
Requires: %name = %version-%release
Provides: %name-engine

%description engine-xine
amarok-engine-xine is an engine for amaroK player.
It uses xine library for output sound stream.

%description engine-xine -l ru_RU.UTF-8
amarok-engine-xine - это движок для воспроизведения
звука для аудиоплеера amaroK. Он использует библиотеку
xine для вывода аудиопотока.

%package mediadevice-ipod
Summary: iPod plugin for amaroK player
Group: Sound
Requires: %name = %version-%release

%description mediadevice-ipod
amarok-mediadevice-ipod is a plugin for Apple iPod
player

%description mediadevice-ipod -l ru_RU.UTF-8
amarok-mediadevice-ipod - плагин, использующийся для
взаимодействия с плеером iPod от Apple

%package mediadevice-generic
Summary: VFAT plugin for amaroK player
Group: Sound
Requires: %name = %version-%release
Provides: %name-mediadevice-vfat

%description mediadevice-generic
amarok-mediadevice-generic is a generic plugin for
various devices that uses VFAT filesystem

%description mediadevice-generic -l ru_RU.UTF-8
amarok-mediadevice-generic - плагин, используемый для работы
с различного рода медиаустройствами, поддерживающими
тип файловой системы VFAT

%package mediadevice-daap
Summary: DAAP (Digital Audio Access Protocol) plugin for amaroK player
Group: Sound
Requires: %name = %version-%release

%description mediadevice-daap
amarok-mediadevice-daap is a plugin for interoperability
with various devices that uses Digital Audio Access
Protocol (DAAP)

%description mediadevice-daap -l ru_RU.UTF-8
amarok-mediadevice-daap - плагин для работы с различными
устройствами, использующими протокол Digital Audio Access
Protocol (DAAP)

%package mediadevice-mtp
Summary: MTP (Media Transfer Protocol) plugin for amaroK player
Group: Sound
Requires: %name = %version-%release

%description mediadevice-mtp
amarok-mediadevice-daap is a plugin for interoperability
with various devices that uses Media Transfer Protocol (MTP)

%description mediadevice-mtp -l ru_RU.UTF-8
amarok-mediadevice-daap - плагин для работы с различными
устройствами, использующими протокол Media Transfer Protocol (MTP)

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch10 -p1

%make -f admin/Makefile.common svn

%build
export CPPFLAGS="$CPPFLAGS -I/usr/include/mpeg4"

%configure \
	%{subst_enable final} \
	--enable-new-ldflags \
	--enable-gcc-hidden-visibility \
	--enable-mysql \
	--enable-postgresql \
	--disable-debug \
	--disable-rpath \
	--with-xine \
	--with-mp4v2 \
	--with-musicbrainz \
	--with-libgpod \
	--with-libmtp \
	--without-daap \
	--with-included_sqlite \
	--without-exscalibar \
	--without-ifp

%make_build

%install
%make DESTDIR=%buildroot install

rm -fr %buildroot%_datadir/apps/%name/scripts/templates

%find_lang --with-kde %name

%post
%update_menus
%update_mimedb

%postun
%clean_menus
%clean_mimedb

%files -f %name.lang
%_bindir/amarok
%_bindir/amarokapp
%_bindir/amarok_libvisual
%_bindir/amarok_proxy.rb
%_bindir/amarokcollectionscanner
%_libdir/libamarok.so.*
%_libdir/kde3/libamarok_void-engine_plugin.so
%_libdir/kde3/konqsidebar_universalamarok.so
%_libdir/kde3/libamarok_massstorage-device.so
%_libdir/kde3/libamarok_nfs-device.so
%_libdir/kde3/libamarok_smb-device.so
%_desktopdir/kde/amarok.desktop
%dir %_datadir/apps/%name
%_datadir/apps/%name/data
%_datadir/apps/%name/icons
%_datadir/apps/%name/images
%_datadir/apps/%name/scripts
%_datadir/apps/%name/themes
%_datadir/apps/%name/*.rc
%_datadir/apps/konqueror/servicemenus/amarok_append.desktop
%_datadir/apps/konqueror/servicemenus/amarok_addaspodcast.desktop
%_datadir/apps/konqueror/servicemenus/amarok_play_audiocd.desktop
%_datadir/apps/konqsidebartng/add/amarok.desktop
%_datadir/apps/konqsidebartng/entries/amarok.desktop
%_datadir/apps/konqsidebartng/kicker_entries/amarok.desktop
%_datadir/apps/profiles/amarok.profile.xml
%_datadir/config/amarokrc
%_datadir/config.kcfg/amarok.kcfg
%_datadir/services/amaroklastfm.protocol
%_datadir/services/amarokitpc.protocol
%_datadir/services/amarokpcast.protocol
%_datadir/services/amarok_void-engine_plugin.desktop
%_datadir/services/amarok_massstorage-device.desktop
%_datadir/services/amarok_nfs-device.desktop
%_datadir/services/amarok_smb-device.desktop
%_datadir/servicetypes/amarok_plugin.desktop
%_datadir/servicetypes/amarok_codecinstall.desktop
%_iconsdir/*/*/apps/amarok.png
%lang(pt_BR) %_defaultdocdir/HTML/pt_BR/amarok

%files engine-xine
%_libdir/kde3/libamarok_xine-engine.so
%_datadir/config.kcfg/xinecfg.kcfg
%_datadir/services/amarok_xine-engine.desktop

%files mediadevice-ipod
%_libdir/kde3/libamarok_ipod-mediadevice.so
%_datadir/services/amarok_ipod-mediadevice.desktop

%files mediadevice-generic
%_libdir/kde3/libamarok_generic-mediadevice.so
%_datadir/services/amarok_generic-mediadevice.desktop

%files mediadevice-mtp
%_libdir/kde3/libamarok_mtp-mediadevice.so
%_datadir/services/amarok_mtp-mediadevice.desktop

%changelog
* Sat Sep 06 2008 Vladimir V. Kamarzin <vvk@altlinux.org> 1.4.10-alt0.M41.1
- Rebuild for 4.1

* Fri Aug 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4.10-alt1
- 1.4.10
- drop amarok-engine-gstreamer

* Tue Jun 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4.9.1-alt3
- enabled MySQL & PostgreSQL

* Sat May 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4.9.1-alt2
- rebuild with libgstreamer-0.10.19-alt2
- disabled daap

* Sun Apr 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4.9.1-alt1
- 1.4.9.1

* Wed Mar 12 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4.8-alt2
- rebuild with libmtp-0.2.6

* Wed Feb 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.4.8-alt1.1
- rebuild with python-2.5

* Sun Dec 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.8-alt0.M40.1
- build for branch 4.0

* Thu Dec 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.8-alt1
- 1.4.8

* Sun Nov 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.7-alt6
- rebuild with libgpod-0.6.0

* Mon Oct 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.7-alt5
- added requires ruby-module-net, ruby-module-rexml (close #10278)
- fixed ru translation (close #13030)

* Fri Sep 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.7-alt4
- build GStreamer engine

* Fri Aug 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.7-alt3
- replace icons: player_start -> player_rew, player_end -> player_fwd

* Wed Aug 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.7-alt0.M40
- build for branch 4.0
- fixed ru translation (close #12312)

* Tue Aug 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.7-alt2
- rebuild with libgpod-0.5.2

* Fri Aug 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.7-alt1
- 1.4.7

* Wed Jun 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.6-alt2
- added amarok-1.4.6-collectiondb-br142999.patch,
	amarok-1.4.6-stars-indicating-osd-br147059.patch,
	amarok-1.4.6-show-osd-br146918.patch

* Fri Jun 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.6-alt1
- 1.4.6

* Wed Jun 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.5-alt7
- fixed requires

* Wed Jun 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.5-alt6.M40
- rebuild for branch 4.0 (close #12080)

* Mon Jun 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.5-alt6
- build with libmtp (close #11963)

* Sun Jun 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.5-alt5
- bzip ChangeLog (close #11076)

* Fri Apr 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.5-alt4
- fixed scanning to parse directories and files, starting with '.' (closed #11553)

* Mon Mar 26 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.5-alt3
- rebuild with libtunepimp-0.5.3

* Thu Feb 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.5-alt2
- added amarok-1.4.5-CVE-2006-6979.patch (closed #10820)

* Tue Feb 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.4.5-alt1
- NMU:
  + update to 1.4.5
  + drop upstream patches
  + drop final compile patch

* Mon Dec 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.4.4-alt2
- NMU:
  + replace libmusicbrainz to libtunepimp
  + added amarok-1.4.4-alt-ru_translation.patch,
          amarok-1.4.3-alt-final_compile.patch
  + build with --enable-final

* Wed Nov 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.4.4-alt1
- NMU:
  + updated to 1.4.4
  + clenup spec file
  + updated build dependencies
  + fixed alt-ruby patch
  + added requires ruby-module-uri for %name
  + without xmms
  + removed subpackage %name-engine-gstreamer, %name-engine-arts
    (in %name-1.4.4 no such engine gstreamer, arts)
  + added amarok-1.4.4-alt-gpod_check.patch to properly detect libgpod
  + added amarok-1.4.3-alt-link_fixes.patch for clean linking
  + amarok-1.4.3-alt-playlist.patch is updated to 1.4.4 and renamed

* Wed Sep 27 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.4.3-alt2
- added patches from shrek@
- fixed incorrect playlist saving

* Thu Sep 07 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.4.3-alt1
- 1.4.3

* Fri Aug 25 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.4.2-alt1
- 1.4.2-beta1
- enabled system sqlite by default
- added MySQL support in spec

* Mon Jul 03 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Wed May 17 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.4.0-alt1
- 1.4.0
- added macroses
- spec fixes
- removed ALT readme

* Wed May 03 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.4-alt1beta3c
- 1.4-beta3c
- spec changes (beta support)

* Fri Jan 27 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.3.8-alt1
- 1.3.8
- fixed BuildRequires

* Tue Jan 03 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.3.7-alt2
- fixed menu generation
- fixed provides

* Mon Dec 12 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.7-alt1
- 1.3.7
- build with libtunepimp 0.4.0

* Fri Nov 18 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.6-alt1
- 1.3.6

* Fri Oct 28 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.5-alt1
- 1.3.5

* Fri Oct 14 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.3-alt1
- 1.3.3

* Tue Sep 27 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.2-alt2
- build with system sqlite

* Thu Sep 22 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.2-alt1
- 1.3.2

* Mon Aug 15 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3-alt2
- 1.3

* Thu Aug 11 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3-alt1beta3
- 1.3-beta3
- removed aKode engine

* Tue Aug 09 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.4-alt2
- removed some unneeded patches (thanx zerg@)
- removed .la files (thanx zerg@)

* Wed May 25 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Fri Apr 08 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.3-alt2
- rebuild
- added aKode engine

* Tue Mar 29 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Tue Mar 15 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Thu Mar 10 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.1-alt2
- split amarok package into base and arts-engine package
- misc spec fixes

* Thu Mar 03 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.1-alt1
- 1.2.1
- spec fixes

* Mon Feb 14 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt3
- 1.2 release

* Mon Jan 31 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt2beta4
- new version
- README.ALT fix

* Thu Jan 27 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt2beta3
- menu fix

* Mon Jan 10 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt1beta3
- 1.2-alt1beta3 new version
- 1.2-alt1beta3 FIX #5256
- 1.2-alt1beta3 split to main app and engines for playing via gstreamer and libxine

* Tue Oct 19 2004 Dmitriy Porollo <spider@altlinux.ru> 1.1.1-alt2
- 1.1.1-alt2 Remove MAS support
- 1.1.1-alt2 Remove requires

* Mon Oct 11 2004 Dmitriy Porollo <spider@altlinux.ru> 1.1.1-alt1
- 1.1.1-alt1 new release
- 1.1.1-alt1 build bugs fixed

* Mon Oct 4 2004 Dmitriy Porollo <spider@altlinux.ru> 1.1-alt1
- 1.1-alt1 xine engine support added
- 1.1-alt1 new release

* Tue Aug 05 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.2-alt2
- 1.0.2-alt2 FIX: gstreamer requires.
- 1.0.2-alt2 ADD: README_ALT updated

* Tue Aug 05 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.2-alt1
- 1.0.2-alt1 ADD: README_ALT
- 1.0.2-alt1 ADD: xine-engine, configure --with-xine to use
- 1.0.2-alt1 FIX: aRts-engine: Compatibility with newer aRts versions improved.
- 1.0.2-alt1 FIX: aRts-engine: Streams sometimes stopping shortly after playback was started.
- 1.0.2-alt1 FIX: CHG: Increased stream connect timeout to 12 seconds.
- 1.0.2-alt1 ADD: Buld without arts engine.

* Tue Jul 13 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.1-alt3
- 1.0.1-alt3 FIX: Russian ID3v1 tag's bug fixed (see options->encoding)

* Tue Jul 07 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.1-alt2
- 1.0.1-alt2 FIX: Internatialisations fixed (invalid names of .mo files). 

* Tue Jun 29 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.1-alt1
- 1.0.1-alt1 ADD: Build with GStreamer. Use It !
- 1.0.1-alt1 FIX: Short dropouts after starting a stream with GStreamer.
- 1.0.1-alt1 FIX: amaroK starting invisible when systray icon is disabled.
- 1.0.1-alt1 FIX: Playlist analyzer looks freaky on some systems. (BR 83671)
- 1.0.1-alt1 FIX: Display filename in title column for wav files. (BR 83650)
- 1.0.1-alt1 FIX: Don't show crash dialog when no engine plugins are found.
- 1.0.1-alt1 FIX: Compile issue for KDE < 3.2.1 users.

* Wed Jun 17 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt1
- 1.0-alt1 Playlist orientated design with optional Player Window for XMMS junkies!
- 1.0-alt1 "Browser" tabs allow quick and shockingly easy access to media, local and streamed
- 1.0-alt1 Support for XMMS visualisations
- 1.0-alt1 Multithreaded design means the UI never hangs during complex tasks
- 1.0-alt1 Sound-engine independent design allows amaroK to run on aRts, GStreamer and NMM
           with native ALSA engine planned!
- 1.0-alt1 Highly configurable design means amaroK can be the player you want!
- 1.0-alt1 Global shortcuts and a powerful DCOP interface allow you to control amaroK in any way you want
- 1.0-alt1 Intuitive inline tag-editing

* Wed Jun 09 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt0.3.beta4
- 1.0-alt0.3.beta4 FIX: Fixed bug in the collection browser.

* Mon Jun 07 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt0.2.beta4
- 1.0-alt0.2.beta4 Translated to russian language.

* Tue Jun 03 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt0.1.beta4
- 1.0-alt0.1.beta4 FIX: Cover not shown in ContextBrowser, when song gets played for the first time ever.
- 1.0-alt0.1.beta4 ADD: Configure->Playback->Device && default device option for audiosinks.
- 1.0-alt0.1.beta4 FIX: Decode %-encoded characters in filenames, like %%2f for a slash.
- 1.0-alt0.1.beta4 FIX: Always show OSD (if enabled) on volume changes.
- 1.0-alt0.1.beta4 FIX: Filtering the collection using tokens with number(s) at the beginning or end failed.
- 1.0-alt0.1.beta4 FIX: "Start Scan" menu-entry gets disabled while scanning.
- 1.0-alt0.1.beta4 FIX: Display splash screen on correct desktop with Xinerama.
- 1.0-alt0.1.beta4 FIX: Not all SQL queries were "string-escaped".
- 1.0-alt0.1.beta4 ADD: Added statistics database, which keeps track of how often and when you play a specific song.
- 1.0-alt0.1.beta4 FIX: Show last playtime in localtime instead of UTC.
- 1.0-alt0.1.beta4 ADD: Allow changing volume by using the mousewheel anywhere on the toolbar.
- 1.0-alt0.1.beta4 ADD: Clear button for CollectionBrowser search.
- 1.0-alt0.1.beta4 FIX: Allow OSD still to be shown via shortcut when disabled
